Check&Place API Reference
HomeSimpra POSSimpra InventoryCheck&Place
HomeSimpra POSSimpra InventoryCheck&Place
  1. Anonym Customers
  • Introduction
  • Anonym Customers
    • create
      POST
    • update
      PATCH
  • Calendars
    • calendar
      GET
  • Customer Types
    • index
      GET
  • Customers
    • create
      POST
    • destroy
      DELETE
    • show
      GET
    • update
      PATCH
    • history
      GET
    • in blacklist
      PATCH
    • index
      POST
    • out blacklist
      PATCH
    • reports
      GET
    • reservations
      POST
    • search
      GET
    • sitting search
      POST
  • Daily Notes
    • daily note
      POST
    • show
      GET
  • Dashboard
    • daily report
      GET
    • summary report
      GET
    • weekly report
      GET
  • Events
    • create
      POST
    • index
      GET
    • destroy
      DELETE
    • update
      PATCH
  • Health Checks
    • live
  • Off Days
    • calendar
    • create
    • index
    • destroy
    • Update
  • Organizations
    • add_favorite
    • index
    • add_favorite
  • Reasons
    • index
  • References
    • create
    • index
    • show
    • update
  • Reports
    • mobile reports
    • web reports
  • Reservation Notifications
    • create
    • sms
  • Reservation Payments
    • change-status
    • create
    • update
    • reactivate
  • Reservation Requests
    • approve
    • count
    • create
    • history
    • index
    • reject
    • update
  • Reservations
    • batch check out
    • cancel
    • check duplicate
    • check in
    • check out
    • confirm
    • create
    • index
    • delay
    • delayed calendars
    • group by day
    • history
    • rollback
    • show
    • undo check in
    • upcoming reservations
    • update
    • view list
  • Revenue Centers
    • create
    • index
    • destroy
    • show
    • update
    • insert
  • Reviews
    • index
    • show
  • Search
    • Customers
    • Reservations
    • Integration
  • Slots
    • capacities
    • create
    • index
    • destroy
    • update
  • Stores
    • add favorite
    • remove favorite
    • index
    • show
    • update
  • Table Plan Objects
    • create
    • index
    • destroy
    • update
    • objects
  • Tables
    • assign
    • available-capacities
    • available-for-assign
    • discharge
    • index
    • layout
    • next-reservations
    • reservations
    • reset
    • revoke
    • rollback
    • save
    • sitting-reservations
    • split
    • status
  • Tags
    • index
  • Users
    • create
    • index
    • current-user
    • destroy
    • show
    • update
    • user-check
  • Extensions
    • index
  • License
    • index
    • store_license
  • Wallets
    • create
    • destroy
    • index
    • set_default
  1. Anonym Customers

create

Production
https://api.checkandplace.com
Production
https://api.checkandplace.com
POST
/api/v1/customers/anonym

Request

Authorization
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
API Key
Add parameter in header
EMPLOYEE_TOKEN
Example:
EMPLOYEE_TOKEN: ********************
API Key
Add parameter in header
STORE_PIN_CODE
Example:
STORE_PIN_CODE: ********************
API Key
Add parameter in header
SLUG_NAME
Example:
SLUG_NAME: ********************
or
Body Params application/json

Examples

Responses

🟢200OK
application/json
successful
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.checkandplace.com/api/v1/customers/anonym' \
--header 'Authorization: <api-key>' \
--header 'EMPLOYEE_TOKEN: <api-key>' \
--header 'STORE_PIN_CODE: <api-key>' \
--header 'SLUG_NAME: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "nickname": "string",
    "note": "string"
}'
Response Response Example
{
    "customer": {
        "id": "5dc977e1-0c09-473a-b965-a8672d8f3f11",
        "first_name": "Unknown",
        "last_name": "Customer 1",
        "name": "Example Nickname",
        "country_code": null,
        "primary_phone_number": null,
        "small_image_url": null,
        "medium_image_url": null,
        "large_image_url": null,
        "type_id": null,
        "type_name": null,
        "is_default_type": false,
        "is_anonym": true,
        "email": null,
        "blacklist": false,
        "gender": "unknown",
        "gender_as_integer": 0,
        "country": null,
        "guest_language": "en",
        "nickname": "Example Nickname",
        "allow_sms": true,
        "allow_email": false,
        "is_active": true,
        "note": "Example Note",
        "created_at": "24.03.2025 14:11",
        "updated_at": "24.03.2025 14:11",
        "permits": {
            "sms": {
                "permit": null,
                "value": null,
                "source": null,
                "change_date": null,
                "verified": null
            },
            "email": {
                "permit": null,
                "value": null,
                "source": null,
                "change_date": null,
                "verified": null
            },
            "call": {
                "permit": null,
                "value": null,
                "source": null,
                "change_date": null,
                "verified": null
            },
            "whatsapp": {
                "permit": null,
                "value": null,
                "source": null,
                "change_date": null,
                "verified": null
            }
        },
        "tags": [],
        "reviews_average_score": 0
    }
}
Modified at 2026-03-09 18:33:58
Previous
Introduction
Next
update
Built with